<?php

namespace app\admin\model;

use think\Model;


class Userwallet extends Model
{

    

    

    // 表名
    protected $name = 'user_wallet';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'vip_endtime_text'
    ];
    

    



    public function getVipEndtimeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['vip_endtime']) ? $data['vip_endtime'] : '');
        return is_numeric($value) ? date("Y-m-d H:i:s", $value) : $value;
    }

    protected function setVipEndtimeAttr($value)
    {
        return $value === '' ? null : ($value && !is_numeric($value) ? strtotime($value) : $value);
    }


    public function user()
    {
        return $this->belongsTo('User', 'user_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
